<?php
header('Content-Type: application/json; charset=utf-8');

// مسیر واقعی کامل:
$path = '/home1/players1/public_html/GetData/news/news_data.json';

if (!file_exists($path)) {
    echo json_encode(["error" => "File not found", "path"=>$path]);
    exit;
}

$data = json_decode(file_get_contents($path), true);

if (!is_array($data)) {
    echo json_encode(["error" => "Invalid JSON"]);
    exit;
}

// برگرداندن آخرین اخبار
echo json_encode(array_reverse($data), JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
